Bug 732820 (CVE-2011-2481) - CVE-2011-2481 Apache Tomcat CVE-2009-0783 regression
Summary: CVE-2011-2481 Apache Tomcat CVE-2009-0783 regression
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2011-2481
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110812,reported=20110823,sou...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-23 18:09 UTC by Josh Bressers
Modified: 2019-06-08 18:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-23 18:10:57 UTC


Attachments (Terms of Use)

Description Josh Bressers 2011-08-23 18:09:29 UTC
From the upstream advisory:
https://tomcat.apache.org/security-7.html

Low: Information disclosure CVE-2011-2481

The re-factoring of XML validation for Tomcat 7.0.x re-introduced the
vulnerability previously reported as CVE-2009-0783. This was initially
reported as a memory leak. If a web application is the first web
application loaded, this bugs allows that web application to potentially
view and/or alter the web.xml, context.xml and tld files of other web
applications deployed on the Tomcat instance.

This was fixed in revision 1137753 and revision 1138788 and .

This was identified by the Tomcat security team on 20 June 2011 and made
public on 12 August 2011.

Affects: 7.0.0-7.0.16

Comment 1 Josh Bressers 2011-08-23 18:10:57 UTC
Statement:

This issue did not affect any version of Tomcat shipped in Red Hat products. This flaw only affected Tomcat versions 7.0.0 - 7.0.16.


Note You need to log in before you can comment on or make changes to this bug.